import psycopg2
from psycopg2 import sql

def create_database():
    try:
        # Connect to PostgreSQL without specifying a database (initial database is usually "postgres")
        connection = psycopg2.connect(
            host="localhost",
            user="devopsuser",
            password="devops",
            database="postgres"
        )

        # Set autocommit to True to avoid transaction blocks
        connection.autocommit = True

        # Create a cursor
        cursor = connection.cursor()

        # Create a new database named "users"
        cursor.execute(sql.SQL("CREATE DATABASE {}").format(sql.Identifier("users")))

        print("Database 'users' created successfully.")
    except psycopg2.Error as e:
        print(f"Error creating database: {e}")
    finally:
        # Close the cursor and connection
        if connection:
            cursor.close()
            connection.close()

def show_databases():
    try:
        # Connect to the new PostgreSQL database "users"
        connection = psycopg2.connect(
            host="localhost",
            user="devopsuser",
            password="devops",
            database="users"
        )

        # Create a cursor for the "users" database
        cursor = connection.cursor()

        # Show databases
        cursor.execute("SELECT datname FROM pg_database")
        databases = [db[0] for db in cursor.fetchall()]

        print("Available databases:", databases)
    except psycopg2.Error as e:
        print(f"Error fetching databases: {e}")
    finally:
        # Close the cursor and connection
        if connection:
            cursor.close()
            connection.close()

# Create the database
create_database()

# Show databases
show_databases()
