"""Initial migration

Revision ID: 6fda255e2988
Revises: 
Create Date: 2024-02-16 11:56:57.236737

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6fda255e2988'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pbx_user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=120), nullable=False),
    sa.Column('email', sa.String(length=120), nullable=False),
    sa.Column('password', sa.String(length=60), nullable=False),
    sa.Column('accesslevel', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email')
    )
    op.drop_table('usermanagerassociation')
    op.drop_table('pbxmanager')
    op.drop_table('pbxuser')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pbxuser',
    sa.Column('id', sa.INTEGER(), server_default=sa.text("nextval('pbxuser_id_seq'::regclass)"), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('email', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('password', sa.VARCHAR(length=60), autoincrement=False, nullable=False),
    sa.Column('accesslevel', sa.INTEGER(), server_default=sa.text('1'), autoincrement=False, nullable=True),
    sa.PrimaryKeyConstraint('id', name='pbxuser_pkey'),
    sa.UniqueConstraint('email', name='pbxuser_email_key'),
    postgresql_ignore_search_path=False
    )
    op.create_table('pbxmanager',
    sa.Column('id', sa.INTEGER(), server_default=sa.text("nextval('pbxmanager_id_seq'::regclass)"), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('users', sa.VARCHAR(length=120), autoincrement=False, nullable=False),
    sa.Column('password', sa.VARCHAR(length=60), autoincrement=False, nullable=False),
    sa.Column('port', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('host', sa.VARCHAR(length=255), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='pbxmanager_pkey'),
    postgresql_ignore_search_path=False
    )
    op.create_table('usermanagerassociation',
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('manager_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['manager_id'], ['pbxmanager.id'], name='usermanagerassociation_manager_id_fkey'),
    sa.ForeignKeyConstraint(['user_id'], ['pbxuser.id'], name='usermanagerassociation_user_id_fkey'),
    sa.PrimaryKeyConstraint('user_id', 'manager_id', name='usermanagerassociation_pkey')
    )
    op.drop_table('pbx_user')
    # ### end Alembic commands ###
